/*
 * AddComment.cpp
 *
 *  Created on: 16.12.2009
 *      Author: apoi
 */

#include "AddComment.h"
#include "BlogView.h"
#include "SinglePostView.h"

AddComment::AddComment(QWidget* aParent, const QString& aPostId, BlogView& aBlogView)
: QFrame(aParent), iPostId(aPostId), iBlogView(aBlogView)
{
	ui.setupUi(this);
	ui.commentText->setExplanationText(tr("Tap to begin writing"));
	connect(ui.discard, SIGNAL(clicked()), this, SLOT(ClearForm()));
	connect(ui.publish, SIGNAL(clicked()), this, SLOT(SaveComment()));
	ClearForm();
}

AddComment::~AddComment()
{
}

void AddComment::SaveComment()
{
	iBlogView.AddNewComment(iPostId, ui.commentText->text());
}

void AddComment::ClearForm()
{
    ui.commentText->reset();
	ui.commentText->setText("");
}
