/*
 * CategoryView.h
 *
 *  Created on: 21.12.2009
 *      Author: apoi
 */

#ifndef CATEGORYVIEW_H_
#define CATEGORYVIEW_H_

#include <QMap>
#include <QFrame>
#include <QVBoxLayout>

#include "CheckableListItem.h"
#include "MDragWidget.h"
#include "wpscrollarea.h"
#include "WPData.h"

class QPushButton;
class BlogView;

class CategoryView : public MDragWidget
{
    Q_OBJECT
    
public:
	CategoryView(BlogView *aBlogview, QWidget * aParent = 0);
	~CategoryView();

public:
	bool MDragWidgetIsDragging() const;
	QSize VisibleSize() const;
	void setFocus();

signals:
	void NewCategory(const QString& aCategoryName);
	
public slots:
	void UpdateCategoryData(const WPDataBlog& aBlog);
	void SelectCategories(const QStringList* aCategories);

private:
	const WPDataCategory* GetCategoryByName(QString aCategoryName);
	void SelectCategory(QString aCategoryId);
	void ClearSelection();
	void CreateListItem(QString aItemId, int aCategoryLevel, QMap<QString, QStringList*>& aChildMap);
	void ClearLayout(QLayout*);

private slots:
	void SaveSelection();
	void AddCategory();
	
private:
	BlogView* iBlogview;
	WPScrollArea* iScrollArea;
	QVBoxLayout* iLayout;
	
	QMap<QString, CheckableListItem*>* iWidgetMap;
	QMap<QString, const WPDataCategory*>* iCategoryMap;
	QStringList iCurrentSelection;
	
	QString iNewCategory;

};

#endif /* CATEGORYVIEW_H_ */
