/*
 * DialogController.h
 *
 *  Created on: 5.1.2010
 *      Author: apoi
 */

#ifndef DIALOGCONTROLLER_H_
#define DIALOGCONTROLLER_H_

#include <QObject>

#include "WPNetworkEngine.h"

class BlogView;
class ErrorDialog;
class ProgressDialog;

class DialogController : public QObject
{
	Q_OBJECT
	
public:
	DialogController(BlogView *aParent);
	~DialogController();

public slots:
	void TaskFinished(const TWPNetworkEngineCommand& aCommand);
	void TaskStarted(const TWPNetworkEngineCommand& aCommand);
	void ShowInfoNote(const QString& aTitle, const QString& aError);
	void ShowErrorNote(const QString& aError);
	void ExitProgress();
	void ErrorAccepted();
	
private:
	void SetProgressMessage();

private slots:
	void DelayedProgressDialogClose();

private:
	BlogView *iParent;
	ErrorDialog *iError;
	ProgressDialog *iProgress;
	
	QList<TWPNetworkEngineCommand> iCommandList;
	QStringList iCommandMessages;
	
};

#endif /* DIALOGCONTROLLER_H_ */
