/*
 * ErrorDialog.h
 *
 *  Created on: 5.1.2010
 *      Author: apoi
 */

#include <QSize>
#include <QDesktopWidget>

#include "DialogController.h"
#include "ErrorDialog.h"

ErrorDialog::ErrorDialog(QWidget *aParent, DialogController *aDialog) : QDialog(aParent)
{
	setWindowFlags(Qt::Dialog);
	ui.setupUi(this);

	iDialog = aDialog;
#ifdef Q_OS_SYMBIAN
	QAction* rightSoftKey = new QAction(tr("OK"), this);
	connect(rightSoftKey, SIGNAL(triggered()), this, SLOT(AcceptError()));
	rightSoftKey->setSoftKeyRole(QAction::NegativeSoftKey);
	addAction(rightSoftKey);
#else
	connect(this, SIGNAL(destroyed()), aDialog, SLOT(ExitProgress()));
#endif
}

ErrorDialog::~ErrorDialog()
{
}

void ErrorDialog::ShowErrorNote(const QString& aError)
{
	ui.errorNote->setText(aError);
}

void ErrorDialog::AcceptError()
{
	iDialog->ErrorAccepted();
}

void ErrorDialog::MoveAndShow()
{
	QSize parentSize = QApplication::desktop()->screenGeometry().size();
	show();
	move((parentSize.width() - width()) / 2, (parentSize.height() - height()) / 2);
}

void ErrorDialog::SetTitle(const QString& aTitle)
{
	ui.titleLabel->setText(aTitle);
}
