#ifndef IMAGESELECTIONLIST_H
#define IMAGESELECTIONLIST_H

#include <QStringList>

#include "MDragWidget.h"
#include "WPNetworkEngine.h"

class QFileInfo;
class ImageSearchThread;
class WPScrollArea;
class CheckableListItem;

class ImageSelectionList : public MDragWidget
{
    Q_OBJECT

public:
	ImageSelectionList(const QStringList& aInitialSelections, QWidget* aParent = 0);
    ~ImageSelectionList();
    
	bool MDragWidgetIsDragging() const;
	QSize VisibleSize() const;
	void SearchImages();
    
signals:
	void ImagesSelected(QStringList aItems);

	// Wait note related signals
	void TaskStarted(const TWPNetworkEngineCommand& aCommand);
	void TaskFinished(const TWPNetworkEngineCommand& aCommand);
	
public slots:
	void ImageFound(const QFileInfo& aFileInfo);
	void ThreadFinished();
	void ItemsSelected();
	void CancelClicked();
	void setFocus();

private:
	QString FormatFileSize(int aFileSize) const;
	
private:
    const QStringList iInitialSelections;
	WPScrollArea* iScrollArea;
    
    QList<CheckableListItem*> iItems;
    QList<const QFileInfo*> iFiles;
    ImageSearchThread* iSearchThread;
};

#endif // IMAGESELECTIONLIST_H
