/*
 * PagesView.h
 *
 *  Created on: 4.11.2009
 *      Author: thyv
 */

#ifndef PAGESVIEW_H_
#define PAGESVIEW_H_

#include "collectionlist.h"

class WPDataBlog;
class WPDataPage;
class BlogView;
class WPScrollArea;

class PagesView : public QWidget
{
    Q_OBJECT

public:
	PagesView(BlogView* parent);
    ~PagesView();

public:
    void setFocus();
    
signals:
	void OpenClicked(TextListItem* aItem);
	void EditClicked(TextListItem* aItem);
	void DeleteClicked(TextListItem* aItem);
    
public slots:
	void UpdatePageData(const WPDataBlog& aBlog);	

private:
	void AddPage(const WPDataPage& aPage);

private slots:
	void Open();
	void Edit();
	void Delete();
	void OpenLocalDraft();
	void EditLocalDraft();
	void DeleteLocalDraft();
	
private:
	BlogView* iParent;
	
	WPScrollArea* iScrollArea;
	CollectionList* iLocalDraftList;
	CollectionList* iPageList;
};

#endif /* PAGESVIEW_H_ */
