/*
 * PostsView.h
 *
 *  Created on: 4.11.2009
 *      Author: thyv
 */

#ifndef POSTSVIEW_H_
#define POSTSVIEW_H_

#include "collectionlist.h"
#include "BlogView.h"
#include "WPData.h"

class WPScrollArea;

class PostsView : public QWidget
{

	Q_OBJECT

public:
	PostsView(BlogView *aParent = 0);
    ~PostsView();
    
public:
	void setFocus();
    
public slots:	
	void UpdatePostData(const WPDataBlog& aBlog);
	//This is used to update comment count to the ui.
	void UpdateCommentsData(const WPDataBlog& aBlog);
	
signals:
	void OpenClicked(TextListItem* aItem);
	void EditClicked(TextListItem* aItem);
	void DeleteClicked(TextListItem* aItem);
	
private:
	void AddPost(const WPDataPost& aPost, int aCommentCount);

private slots:
	void Open();
	void Edit();
	void Delete();
	void OpenLocalDraft();
	void EditLocalDraft();
	void DeleteLocalDraft();
	
private:
	BlogView* iParent;
	WPScrollArea* iScrollArea;
	CollectionList* iLocalDraftList;
	CollectionList* iPostList;
		
};

#endif /* POSTSVIEW_H_ */
