/*
 * ProgressDialog.cpp
 *
 *  Created on: 18.12.2009
 *      Author: apoi
 */

#include <QDesktopWidget>

#include "DialogController.h"
#include "ProgressDialog.h"

ProgressDialog::ProgressDialog(QWidget *aParent, DialogController *aDialog) : QDialog(aParent)
{
	setWindowFlags(Qt::Dialog);

	ui.setupUi(this);
	ui.titleLabel->setText(tr("Please wait"));
	
	iDialog = aDialog;
#ifdef Q_OS_SYMBIAN
	QAction* rightSoftKey = new QAction(tr("Exit"), this);
	connect(rightSoftKey, SIGNAL(triggered()), aDialog, SLOT(ExitProgress()));
	rightSoftKey->setSoftKeyRole(QAction::NegativeSoftKey);
	addAction(rightSoftKey);
#else
	connect(this, SIGNAL(destroyed()), aDialog, SLOT(ExitProgress()));
#endif

}

ProgressDialog::~ProgressDialog()
{
}

void ProgressDialog::MoveAndShow()
{
	QSize parentSize = QApplication::desktop()->screenGeometry().size();
	show();
	move((parentSize.width() - width()) / 2, (parentSize.height() - height()) / 2);
}

void ProgressDialog::SetAction(const QString& aAction)
{
	ui.actionLabel->setText(aAction);
}
