/*
 * SinglePostView.h
 *
 *  Created on: 14.12.2009
 *      Author: apoi
 */

#ifndef SINGLEPOSTVIEW_H
#define SINGLEPOSTVIEW_H

#include <QList>
#include "MDragWidget.h"

class BlogView;
class WPCommentList;
class WPScrollArea;
class QLabel;
class SinglePostData;
class WPDataComment;
class WPDataBlog;
class WPDataPost;

class SinglePostView : public MDragWidget
{
    Q_OBJECT

public:
	SinglePostView(BlogView& parent);
    ~SinglePostView();
    
public:
    void ShowPost(const WPDataBlog& aBlog, const WPDataPost& aPost);
	bool MDragWidgetIsDragging() const;
	QSize VisibleSize() const;
	void ScrollToTop();

public slots:
	void UpdateData(const WPDataBlog& aBlog);

private:
	void SetSoftKeys();
	void SetScreenMaxSize();
	
private slots:
	void CloseView();
	void resizeEvent(QResizeEvent *e);
	
private:
    // Data objects
	BlogView& iParent;
    QString iPostId;
    WPCommentList* iListbox;
    QList<WPDataComment> iPostComments;
    // UI objects
    WPScrollArea* iScrollArea;
    SinglePostData* iPostData;
};

#endif // SINGLEPOSTVIEW_H
