
#include <QSvgWidget>
#include <QPixmap>

#include "commentsview.h"
#include "WPHomeScreenInfo.h"
#include "WPData.h"

#ifdef Q_WS_MAEMO_5
static const int KItemDefaultHeight = 145;
static const int KLogoDefaultSize = 115;
#else
static const int KItemDefaultHeight = 93;
static const int KLogoDefaultSize = 75;
#endif

WPHomeScreenInfo::WPHomeScreenInfo(CommentsView& aParent) : QFrame(&aParent), iParent(aParent)
{
	ui.setupUi(this);

	QSvgWidget *svg = new QSvgWidget(":/images/wp-logo.svg", this);
	svg->setFixedSize(KLogoDefaultSize, KLogoDefaultSize);
	ui.logoLayout->addWidget(svg);
	setFixedHeight(KItemDefaultHeight);
}

WPHomeScreenInfo::~WPHomeScreenInfo()
{
}

void WPHomeScreenInfo::UpdateData(const WPDataBlog *aData)
{
	WPDataPost post;
	WPDataComment comment;
	const int comments = aData->iComments.size();
	int unapproved = 0;
	foreach (comment, aData->iComments)
	{
		if (comment.iStatus == "hold")
			unapproved++;
	}

	ui.blogName->setText(aData->iBlogName);
	ui.statsLabel->setText(QString::number(unapproved)
						   + tr(" unapproved comments\n")
						   + QString::number(comments)
						   + tr(" comments in ")
						   + QString::number(aData->iPosts.size())
						   + tr(" posts"));
}

void WPHomeScreenInfo::resizeEvent(QResizeEvent* aEvent)
{
    // Set max size for the clipping label -- otherwise it
	// will start maximized and decrease in small steps
	// WP logo = 75
    // Padding on both sides = 4
    const int modifier = 75 + 4;
	const int width = iParent.VisibleSize().width() - modifier;
	ui.blogName->setMaximumWidth(width);
	QFrame::resizeEvent(aEvent);
}
