/*
 * WPLogger.cpp
 *
 *  Created on: 11.1.2010
 *      Author: jkal
 */

#include <QTime>
#include <QFile>
#include <QDesktopServices>
#include "WPLogger.h"

WPLogger::WPLogger()
{
}

WPLogger::~WPLogger()
{
}

WPLogger& WPLogger::Instance()
{
	static WPLogger logger;
	return logger;
}

void WPLogger::LogRow(const QString& aRow)
{
#ifdef WP_DEBUG_LOGGING
	iBuffer += QTime::currentTime().toString("hh:mm:ss.zzz");
	iBuffer += ": ";
	iBuffer += aRow;
	iBuffer += "\n";
#endif
}

bool WPLogger::WriteFile()
{
#ifdef WP_DEBUG_LOGGING
#ifdef Q_OS_SYMBIAN
	QFile logFile("c:\\Data\\wordpress_log.txt");
#else
	QString path(QDesktopServices::storageLocation(QDesktopServices::DataLocation));
	path.append("wordpress_log.txt");
	QFile logFile(path);
#endif
	if (!logFile.open(QIODevice::WriteOnly))
		return false;

	return logFile.write(iBuffer.toAscii()) != -1;
#else
	return true;
#endif
}
