/*
 * WPXmlCategoriesParser.cpp
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#include "WPXmlCategoriesParser.h"
#include "WPData.h"

WPXmlCategoriesParser::WPXmlCategoriesParser(const QString aResponse, WPDataBlog& aData)
: WPXmlParser(aResponse), iData(aData)
	{
	}

WPXmlCategoriesParser::~WPXmlCategoriesParser()
	{
	}

void WPXmlCategoriesParser::HandleMemberTag()
	{
	const int dataSize = iData.iCategories.size();
	if (dataSize == 0)
		return; // Should not be called like this but let's be sure
	WPDataCategory& data = iData.iCategories[dataSize - 1];
	QString tagName;
	QString value;
	int depth = 1;
	readNext();
	while (!atEnd() && depth > 0)
		{
		if (isStartElement())
			{
			if (name() == "name")
				tagName = readElementText();
			else if (name() == "boolean" || name() == "string" || name() == "dateTime.iso8601")
				value = readElementText();
			else
				depth++;
			}
		else if (isEndElement())
			depth--;
		readNext();
		}
	
	if (tagName == "categoryId")
		data.iCategoryId = value;
	else if (tagName == "parentId")
		data.iParentId = value;
	else if (tagName == "description")
		data.iDescription = value;
	else if (tagName == "categoryDescription")
		data.iCategoryDescription = value;
	else if (tagName == "categoryName")
		data.iCategoryName = value;
	else if (tagName == "htmlUrl")
		data.iHtmlUrl = value;
	else if (tagName == "rssUrl")
		data.iRssUrl = value;
	}

void WPXmlCategoriesParser::CreateNewItem()
	{
	WPDataCategory newItem;
	iData.iCategories.append(newItem);
	}
