/*
 * WPXmlCommentsParser.cpp
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#include "WPXmlCommentsParser.h"
#include "WPData.h"

WPXmlCommentsParser::WPXmlCommentsParser(const QString aResponse, WPDataBlog& aData)
: WPXmlParser(aResponse), iData(aData), iCurrentItem(NULL)
	{
	}

WPXmlCommentsParser::~WPXmlCommentsParser()
	{
	}

void WPXmlCommentsParser::HandleMemberTag()
	{
	if (!iCurrentItem)
		return;
	QString tagName;
	QString value;
	int depth = 1;
	readNext();
	while (!atEnd() && depth > 0)
		{
		if (isStartElement())
			{
			if (name() == "name")
				tagName = readElementText();
			else if (name() == "int" || name() == "boolean" || name() == "string" || name() == "dateTime.iso8601")
				value = readElementText();
			else
				depth++;
			}
		else if (isEndElement())
			depth--;
		readNext();
		}
	
	if (tagName == "date_created_gmt")
		iCurrentItem->iDateCreatedGmt = value;
	else if (tagName == "user_id")
		iCurrentItem->iUserId = value;
	else if (tagName == "comment_id")
		iCurrentItem->iCommentId = value;
	else if (tagName == "parent")
		iCurrentItem->iParent = value;
	else if (tagName == "status")
		iCurrentItem->iStatus = value;
	else if (tagName == "content")
		iCurrentItem->iContent = value;
	else if (tagName == "link")
		iCurrentItem->iLink = value;
	else if (tagName == "post_id")
		iCurrentItem->iPostId = value;
	else if (tagName == "post_title")
		iCurrentItem->iPostTitle = value;
	else if (tagName == "author")
		iCurrentItem->iAuthor = value;
	else if (tagName == "author_url")
		iCurrentItem->iAuthorUrl = value;
	else if (tagName == "author_email")
		iCurrentItem->iAuthorEmail = value;
	else if (tagName == "author_ip")
		iCurrentItem->iAuthorIp = value;
	else if (tagName == "type")
		iCurrentItem->iType = value;
	}

void WPXmlCommentsParser::CreateNewItem()
	{
	WPDataComment comment;
	iData.iComments.append(comment);
	iCurrentItem = &iData.iComments[iData.iComments.size() - 1];
	}
