/*
 * WPXmlCommentsParser.h
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#ifndef WPXMLCOMMENTSPARSER_H_
#define WPXMLCOMMENTSPARSER_H_

#include "WPXmlParser.h"

class WPDataBlog;
class WPDataComment;

class WPXmlCommentsParser : public WPXmlParser
	{
public:
	WPXmlCommentsParser(const QString aResponse, WPDataBlog& aData);
	virtual ~WPXmlCommentsParser();
	
private: // Functions
	void HandleTag();
	
	// Special handling for Member tag
	void HandleMemberTag();
	
	// Creates a new item to the list.
	void CreateNewItem();
	
private: // Data
	WPDataBlog& iData;
	
	/**
	 * Cached the currently parsed item to get rid of the call to get it
	 * every time when HandleMemberTag is called. 
	 */
	WPDataComment* iCurrentItem; 
	};

#endif /* WPXMLPOSTSPARSER_H_ */
