/*
 * WPXmlFileUploadParser.h
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#ifndef WPXMLFILEUPLOADPARSER_H_
#define WPXMLFILEUPLOADPARSER_H_

#include <QXmlStreamReader>
#include <QStringList>

class WPXmlFileUploadParser : public QXmlStreamReader
	{
public:
	WPXmlFileUploadParser(const QString aResponse, QString& aUrl);
	virtual ~WPXmlFileUploadParser();
	void ParseResponse();
	
private: // Functions
	void skipUnknownElement();
	void AddTag(const QString aTag);
	void RemoveTag();
	void HandleTag();
	QStringList TagStack() const;
	
	// Special handling for Member tag
	void HandleMemberTag();
	
private: // Data
	QStringList iTagStack;

	QString& iUrl;
	};

#endif /* WPXMLFILEUPLOADPARSER_H_ */
