/*
 * WPXmlPagesParser.cpp
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#include "WPXmlPagesParser.h"
#include "WPData.h"

WPXmlPagesParser::WPXmlPagesParser(const QString aResponse, WPDataBlog& aData)
: WPXmlParser(aResponse), iData(aData)
	{
	}

WPXmlPagesParser::~WPXmlPagesParser()
	{
	}

void WPXmlPagesParser::HandleMemberTag()
	{
	const int dataSize = iData.iPages.size();
	if (dataSize == 0)
		return; // Should not be called like this but let's be sure
	WPDataPage& data = iData.iPages[dataSize - 1];
	QString tagName;
	QString value;
	int depth = 1;
	readNext();
	while (!atEnd() && depth > 0)
		{
		if (isStartElement())
			{
			if (name() == "name")
				tagName = readElementText();
			else if (name() == "int" || name() == "boolean" || name() == "string" || name() == "dateTime.iso8601")
				value = readElementText();
			else
				depth++;
			}
		else if (isEndElement())
			depth--;
		readNext();
		}
	
	if (tagName == "dateCreated")
		data.iDateCreated = value;
	else if (tagName == "page_status")
		data.iPageStatus = value;
	else if (tagName == "description")
		data.iDescription = value;
	else if (tagName == "title")
		data.iTitle = value;
	else if (tagName == "link")
		data.iLink = value;
	else if (tagName == "permaLink")
		data.iPermaLink = value;
	else if (tagName == "excerpt")
		data.iExcerpt = value;
	else if (tagName == "text_more")
		data.iTextMore = value;
	else if (tagName == "wp_slug")
		data.iWpSlug = value;
	else if (tagName == "wp_password")
		data.iWpPassword = value;
	else if (tagName == "wp_author")
		data.iWpAuthor = value;
	else if (tagName == "wp_page_parent_title")
		data.iWpPageParentTitle = value;
	else if (tagName == "wp_author_display_name")
		data.iWpAuthorDisplayName = value;
	else if (tagName == "date_created_gmt")
		data.iDateCreatedGmt = value;
	else if (tagName == "wp_page_template")
		data.iWpPageTemplate = value;
	else if (tagName == "userid")
		data.iUserId = value;
	else if (tagName == "page_id")
		data.iPageId = value;
	else if (tagName == "mt_allow_comments")
		data.iAllowComments = value;
	else if (tagName == "mt_allow_pings")
		data.iAllowPings = value;
	else if (tagName == "wp_page_parent_id")
		data.iPageParentId = value;
	else if (tagName == "wp_page_order")
		data.iWpPageOrder = value;
	else if (tagName == "wp_author_id")
		data.iWpAuthorId = value;
	}

void WPXmlPagesParser::CreateNewItem()
	{
	WPDataPage newItem;
	iData.iPages.append(newItem);
	}
