/*
 * WPXmlParser.h
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#ifndef WPXMLPARSER_H_
#define WPXMLPARSER_H_

#include <qxmlstream.h>

class WPXmlParser : public QXmlStreamReader
	{
public:
	WPXmlParser(const QString aResponse);
	virtual ~WPXmlParser();

	void ParseResponse();
	
	virtual void HandleMemberTag() = 0;
	virtual void CreateNewItem() = 0;
	int FaultCode() const;
	
protected: // For derived classes
	void skipUnknownElement();
	
private: // Functions
    void HandleMethodResponseTag();
    void HandleParamsTag();
    void HandleParamTag();
    void HandleFirstValueTag();
    void HandleArrayTag();
    void HandleDataTag();
    void HandleSecondValueTag();
    void HandleStructTag();
    
    // Fault code parsing functions
    void HandleFaultTag();
    void HandleFaultValueTag();
    void HandleFaultStructTag();
    void HandleFaultMemberTag();
	
private: // Data

	int iFaultCode;
	};

#endif /* WPXMLPARSER_H_ */
