#include "WPXmlStatsParser.h"

#include <QDate>

#include <iostream>

WPXmlStatsParser::WPXmlStatsParser(const QString response, WPDataStats& aStats) : QXmlStreamReader(response), iStats(aStats)
{
}

WPXmlStatsParser::~WPXmlStatsParser() {

}

void WPXmlStatsParser::ParseResponse() {
    while (readNextStartElement()) {
        if (name() == "views" || name() == "postviews")
            HandleViewsTag();
    }
}

void WPXmlStatsParser::HandleViewsTag() {
    while (readNextStartElement()) {
        if (name() == "day") {
            QDate date = QDate::fromString(attributes().value("date").toString(), Qt::ISODate);
            int visits = readElementText().toInt();
            iStats.iDailyVisits.push_back(QPair<QDate, int>(date, visits));
        } else if (name() == "total") {
            iStats.iTotalVisits = readElementText().toInt();
        }
    }
}
