/*
 * WPXmlStatusesParser.h
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#ifndef WPXMLSTATUSESPARSER_H_
#define WPXMLSTATUSESPARSER_H_

#include <QStringList>
#include <qxmlstream.h>
#include <QMap>

class WPDataBlog;

class WPXmlStatusesParser : public QXmlStreamReader
	{
public:
	WPXmlStatusesParser(const QString aResponse, QMap<QString, QString>& aData);
	virtual ~WPXmlStatusesParser();
	void ParseResponse();
	
private: // Functions
	void skipUnknownElement();
	void AddTag(const QString aTag);
	void RemoveTag();
	void HandleTag();
	QStringList TagStack() const;
	
	// Special handling for Member tag
	void HandleMemberTag();
	
private: // Data
	QStringList iTagStack;

	QMap<QString, QString>& iData;
	};

#endif /* WPXMLSTATUSESPARSER_H_ */
