/*
 * WPXmlTagsParser.cpp
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#include "WPXmlTagsParser.h"
#include "WPData.h"

WPXmlTagsParser::WPXmlTagsParser(const QString aResponse, WPDataBlog& aData)
: WPXmlParser(aResponse), iData(aData)
	{
	}

WPXmlTagsParser::~WPXmlTagsParser()
	{
	}

void WPXmlTagsParser::HandleMemberTag()
	{
	const int dataSize = iData.iTags.size();
	if (dataSize == 0)
		return; // Should not be called like this but let's be sure
	WPDataTag& data = iData.iTags[dataSize - 1];
	QString tagName;
	QString value;
	int depth = 1;
	readNext();
	while (!atEnd() && depth > 0)
		{
		if (isStartElement())
			{
			if (name() == "name")
				tagName = readElementText();
			else if (name() == "boolean" || name() == "string" || name() == "dateTime.iso8601")
				value = readElementText();
			else
				depth++;
			}
		else if (isEndElement())
			depth--;
		readNext();
		}
	
	if (tagName == "tag_id")
		data.iTagId = value;
	else if (tagName == "name")
		data.iName = value;
	else if (tagName == "count")
		data.iCount = value;
	else if (tagName == "slug")
		data.iSlug = value;
	else if (tagName == "html_url")
		data.iHtmlUrl = value;
	else if (tagName == "rss_url")
		data.iRssUrl = value;
	}

void WPXmlTagsParser::CreateNewItem()
	{
	WPDataTag newItem;
	iData.iTags.append(newItem);
	}
