/*
 * WPXmlUsersBlogsParser.cpp
 *
 *  Created on: 5.11.2009
 *      Author: jkal
 */

#include "WPXmlUsersBlogsParser.h"
#include "WPData.h"

WPXmlUsersBlogsParser::WPXmlUsersBlogsParser(const QString aResponse, WPDataUsersBlogs& aData)
: WPXmlParser(aResponse), iData(aData)
	{
	}

WPXmlUsersBlogsParser::~WPXmlUsersBlogsParser()
	{
	}

void WPXmlUsersBlogsParser::HandleMemberTag()
	{
	const int count = iData.iBlogs.size();
	if (count == 0)
		return; // Should not happen but a sanity check
	WPDataBlog& item = iData.iBlogs[count - 1];
	QString tagName;
	QString value;
	int depth = 1;
	readNext();
	while (!atEnd() && depth > 0)
		{
		if (isStartElement())
			{
			if (name() == "name")
				tagName = readElementText();
			else if (name() == "boolean" || name() == "string")
				value = readElementText();
			else
				depth++;
			}
		else if (isEndElement())
			depth--;
		readNext();
		}
	
	if (tagName == "url")
		item.iUrl = value;
	else if (tagName == "blogName")
		item.iBlogName = value;
	else if (tagName == "xmlrpc")
		item.iRpcUrl = value;
	else if (tagName == "blogid")
		item.iBlogId = value;
	else if (tagName == "isAdmin")
		item.iIsAdmin = value;
	}

void WPXmlUsersBlogsParser::CreateNewItem()
	{
	WPDataBlog item;
	item.iComments.clear();
	iData.iBlogs.append(item);
	}
