#ifndef ADDPOSTVIEW_H
#define ADDPOSTVIEW_H

#include <QFrame>
#include <QStringList>
#include "ui_addpostview.h"

class BlogView;
class WPDataBlog;
class WPDataPost;

class AddPostView : public QFrame
{
    Q_OBJECT

public:
    AddPostView(BlogView *parent = 0);
    ~AddPostView();
	void NewPost(WPDataBlog *aBlog);
	void EditPost(WPDataBlog *aBlog, const WPDataPost *aPost);
	void SelectCategories(const QStringList* aCategories);

signals:
	void NewPost(const QMap<QString, QString>& aContent, const QMap<QString, QStringList>& aListContent, 
			const QString& aPublish, const QStringList& aFilenames, const QString& aLocalDraftId);
	void EditPost(const QString& aPageId, const QMap<QString, QString>& aContent,
			const QMap<QString, QStringList>& aListContent, const QString& aPublish, const QStringList& aFilenames);
	void UpdatePostData(const WPDataBlog& aBlog);
	void ShowErrorNote(const QString& aError);
	
public slots:
	void SavePost();
	void ImagesAdded(const QStringList& aFilenames);
	void AddPhotosClicked(bool aDummy);
	void setFocus();

private:
	void ShowSelectedCategories();
	
private slots:
	void CategoriesClicked();
	
private:
    Ui::AddPostView ui;
	BlogView* iParent;

	int iCategoryListLength;
	QStringList iCategories;
	QString iPostId;
	WPDataBlog* iDataBlog;
	
	QStringList iAddedImages;
};

#endif // ADDPOSTVIEW_H
