/*
 * ClippingLabel.cpp
 *
 *  Created on: 14.12.2009
 *      Author: apoi
 */

#include "clippinglabel.h"

ClippingLabel::ClippingLabel(QWidget *aParent)
: QLabel(aParent), iParent(aParent), iMargin(5)
{
}

void ClippingLabel::setMargin(int aMargin)
{
	iMargin = aMargin;
}

ClippingLabel::~ClippingLabel()
{
}

void ClippingLabel::setText(QString aText)
{
	iFullValue = aText;

	int labelWidth = width() - iMargin - indent();
	if (labelWidth == 0)
		return;	

	QLabel::setText(fontMetrics().elidedText(aText, Qt::ElideRight, labelWidth));
}

void ClippingLabel::resizeEvent(QResizeEvent* e)
{
	setText(iFullValue);
	QLabel::resizeEvent(e);
}

void ClippingLabel::mousePressEvent(QMouseEvent *e)
{
	if (textFormat() == Qt::RichText)
		QWidget::mousePressEvent(e);
	else
		QLabel::mousePressEvent(e);
}

void ClippingLabel::mouseMoveEvent(QMouseEvent *e)
{
	if (textFormat() == Qt::RichText)
		QWidget::mouseMoveEvent(e);
	else
		QLabel::mouseMoveEvent(e);
}

void ClippingLabel::mouseReleaseEvent(QMouseEvent *e)
{
	if (textFormat() == Qt::RichText)
		QWidget::mouseReleaseEvent(e);
	else
		QLabel::mouseReleaseEvent(e);
}
