/*
 * ClippingLabel.h
 *
 *  Created on: 14.12.2009
 *      Author: apoi
 */

#ifndef CLIPPINGLABEL_H_
#define CLIPPINGLABEL_H_

#include <QLabel>

class ClippingLabel : public QLabel
{

	Q_OBJECT

public:
	ClippingLabel(QWidget *aParent = 0);
	~ClippingLabel();

	void setText(QString aText);
	void setMargin(int aMargin = 5);
	void resizeEvent(QResizeEvent* e);
	void mousePressEvent(QMouseEvent *e);
	void mouseMoveEvent(QMouseEvent *e);
	void mouseReleaseEvent(QMouseEvent *e);
	
private:
	// Amount of pixels to add to the text width to ensure there's no clipping, as a workaround for label padding
	int iMargin;
	
	// Private objects
	QString iFullValue;
	QWidget* iParent;
	
};

#endif /* CLIPPINGLABEL_H_ */
