#ifndef COLLECTIONLIST_H
#define COLLECTIONLIST_H

#include <QtGui/QWidget>
#include "ui_collectionlist.h"
#include <QList>

class BlogView;
class QAction;
class TextListItem;
class WPScrollArea;
class PopupMenu;

class CollectionList : public QWidget
{
    Q_OBJECT

public:
    enum TMenuAction
    {
    	EOpen,
    	EEdit,
    	EDelete
    };
    
public:
    CollectionList(QWidget *parent, WPScrollArea* aScrollArea);
    ~CollectionList();

public:
	void SetTitle(QString aTitle, bool aCanHaveFocus = false);
	void AddCustomItem(const QString aItemId, QString aTitle, QString aFrom, QStringList aDetails);
	void RemoveItem(QWidget* aItem);
	void ResetList();
	void SetTitle();
	void AddStretch();
	void setFocus();
	int ItemCount() const;
	void DisableMenuAction(CollectionList::TMenuAction aAction);

public slots:
    void MenuHiding();
	void ShowContextMenu(TextListItem* aItem);

private:
	QString iTitle;

public:
    Ui::CollectionListClass ui;
	QAction* iActionOpen;
	QAction* iActionEdit;
	QAction* iActionDelete;
	TextListItem* iCurrentItem;
	WPScrollArea* iScrollArea; // Not owned
	int iStretchCount;
	QList<CollectionList::TMenuAction> iDisabledActions;
	PopupMenu* iPopupMenu;
};

#endif // COLLECTIONLIST_H
