#ifndef COMMENTSVIEW_H
#define COMMENTSVIEW_H

#include <QList>
#include <QFrame>

class BlogView;
class WPDataBlog;
class WPDataComment;
class WPCommentList;
class WPScrollArea;
class QLabel;
class WPHomeScreenInfo;

class CommentsView : public QFrame
{
    Q_OBJECT

public:
    CommentsView(BlogView& parent);
    ~CommentsView();
    
public slots:	
	void UpdateCommentsData(const WPDataBlog& aBlog);
	void UpdatePostData(const WPDataBlog& aBlog);
	void resizeEvent(QResizeEvent *e);
	void setFocus();
	QSize VisibleSize() const;
	
private:
	BlogView& iParent;
	WPScrollArea* iScrollArea;
	WPCommentList* iListbox;
	QList<WPDataComment> iNewComments;
	WPHomeScreenInfo* iHomeInfo;
};

#endif // COMMENTSVIEW_H
