/*
 * ExplanatoryTextEdit.h
 *
 *  Created on: 12.1.2010
 *      Author: apoi
 */

#ifndef EXPLANATORYTEXTEDIT_H_
#define EXPLANATORYTEXTEDIT_H_

#include <QTextEdit>

class ExplanatoryTextEdit : public QTextEdit
{
	Q_OBJECT

public:
	ExplanatoryTextEdit(QWidget *aParent = 0, const QString& aExplanation = "DEFAULT_EXPLANATION");
	~ExplanatoryTextEdit();
	
public:
	void setText(QString aValue);
	void setPlainText(QString aValue);
	QString text() const;
	void SetExplanation(const QString& aExplanation);
        void insertText(const QString& text);

protected:
	void focusInEvent(QFocusEvent *e);
	void focusOutEvent(QFocusEvent *e);

private slots:
	void textChanged();
	
private:
	QString iExplanation;
	QString iValue;
	bool iDisregardNextTextChange;
	
};

#endif /* EXPLANATORYTEXTEDIT_H_ */
