TEMPLATE = app
TARGET = WordPress
VERSION = 0.5.4
QT += core \
    gui \
    network \
    xml \
    webkit \
    svg
HEADERS += addlinkdialog.h \
    richtextedit.h \
    wpscrollarea.h \
    explanatorytextedit.h \
    explanatorylineedit.h \
    WPLogger.h \
    CheckableListItem.h \
    clippinglabel.h \
    ErrorDialog.h \
    DialogController.h \
    ImageSearchThread.h \
    CategoryView.h \
    WPXmlFileUploadParser.h \
    ProgressDialog.h \
    BlogSetupView.h \
    AddComment.h \
    SinglePostData.h \
    MDragWidget.h \
    ImageSelectionList.h \
    SinglePostView.h \
    textlistitem.h \
    PopupMenu.h \
    WPHomeScreenInfo.h \
    wpcommentlist.h \
    wpcommentlistitem.h \
    md5.h \
    WPXmlStatusesParser.h \
    WPXmlResponseParser.h \
    WPXmlRsdParser.h \
    WPXmlCommentsParser.h \
    WPXmlTagsParser.h \
    WPXmlCategoriesParser.h \
    WPXmlPostsParser.h \
    WPXmlPagesParser.h \
    WPData.h \
    BlogView.h \
    PagesView.h \
    PostsView.h \
    commentsview.h \
    collectionlist.h \
    setupblog.h \
    addpostview.h \
    WPNetworkEngine.h \
    WPXmlParser.h \
    WPXmlUsersBlogsParser.h \
    writepageview.h \
    WPXmlStatsParser.h \
    statisticsview.h
SOURCES += addlinkdialog.cpp \
    richtextedit.cpp \
    wpscrollarea.cpp \
    explanatorytextedit.cpp \
    explanatorylineedit.cpp \
    WPLogger.cpp \
    CheckableListItem.cpp \
    clippinglabel.cpp \
    ErrorDialog.cpp \
    DialogController.cpp \
    ImageSearchThread.cpp \
    CategoryView.cpp \
    WPXmlFileUploadParser.cpp \
    ProgressDialog.cpp \
    BlogSetupView.cpp \
    AddComment.cpp \
    SinglePostData.cpp \
    SinglePostView.cpp \
    ImageSelectionList.cpp \
    textlistitem.cpp \
    WPHomeScreenInfo.cpp \
    PopupMenu.cpp \
    wpcommentlist.cpp \
    md5.cpp \
    wpcommentlistitem.cpp \
    WPXmlStatusesParser.cpp \
    WPXmlResponseParser.cpp \
    WPXmlRsdParser.cpp \
    WPData.cpp \
    WPXmlCommentsParser.cpp \
    WPXmlTagsParser.cpp \
    WPXmlCategoriesParser.cpp \
    WPXmlPostsParser.cpp \
    WPXmlPagesParser.cpp \
    BlogView.cpp \
    PagesView.cpp \
    PostsView.cpp \
    commentsview.cpp \
    collectionlist.cpp \
    setupblog.cpp \
    addpostview.cpp \
    WPNetworkEngine.cpp \
    WPXmlParser.cpp \
    WPXmlUsersBlogsParser.cpp \
    writepageview.cpp \
    main.cpp \
    WPXmlStatsParser.cpp \
    statisticsview.cpp
FORMS += addlinkdialog.ui \
    richtextedit.ui \
    AddComment.ui \
    wpcommentlistitem.ui \
    WPHomeScreenInfo.ui \
    writepageview.ui \
    collectionlist.ui \
    setupblog.ui \
    addpostview.ui \
    SinglePostData.ui \
    ProgressDialog.ui \
    ErrorDialog.ui \
    CheckableListItem.ui \
    statisticsview.ui
RESOURCES += images.qrc \
    stylesheet.qrc
symbian: { 
    ICON = images/wp-logo.svg
    TARGET.UID3 = 0xE0007242
    TARGET.CAPABILITY = "NetworkServices ReadUserData WriteUserData"
    HEADERS += sym_iap_util.h \
        WordPress.loc
    SOURCES += WordPress_reg.rss \
        WordPress.rss
    LIBS += -lesock \
        -lcommdb \
        -linsock \
        -lefsrv \
        -leikcore \
        -leikcoctl \
        -lavkon \
        -lcone \ # For IAP selection
        }
OTHER_FILES += qss/symbian.qss \
        qss/maemo.qss

  unix {
    #VARIABLES
    isEmpty(PREFIX) {
        PREFIX = /usr/local
  }
BINDIR = $$PREFIX/bin
DATADIR =$$PREFIX/share

DEFINES += DATADIR=\\\"$$DATADIR\\\" PKGDATADIR=\\\"$$PKGDATADIR\\\"

#MAKE INSTALL

INSTALLS += target desktop iconxpm icondesktop icon26 icon48 icon64

  target.path =$$BINDIR

  desktop.path = $$DATADIR/applications/hildon
  desktop.files += $${TARGET}.desktop

  iconxpm.path = $$DATADIR/pixmap
  iconxpm.files += images/$${TARGET}.xpm

  icondesktop.path = $$DATADIR/pixmaps
  icondesktop.files += images/64/$${TARGET}.png

  icon26.path = $$DATADIR/icons/hicolor/26x26/apps
  icon26.files += images/26/$${TARGET}.png

  icon48.path = $$DATADIR/icons/hicolor/48x48/apps
  icon48.files += images/48/$${TARGET}.png

  icon64.path = $$DATADIR/icons/hicolor/64x64/apps
  icon64.files += images/64/$${TARGET}.png
}
