#ifndef WPCOMMENTLISTITEM_H
#define WPCOMMENTLISTITEM_H

#include "ui_wpcommentlistitem.h"
#include <QKeyEvent>
#include <QMouseEvent>
#include <QFrame>

#include "WPData.h"

class MDragWidget;

class WPCommentListItem : public QFrame
{
    Q_OBJECT

public:
    WPCommentListItem(MDragWidget& aParent, const WPDataComment& aComment, bool aShowFullComment);
    ~WPCommentListItem();
    
public: // New functions
	void SetAvatarImage(const QString& aFilename);
	const WPDataComment& GetComment() const;
	QPoint TopRight() const;
	void ChangeViewMode();
	bool ShowFullComment() { return iShowFullComment; }

public:
	static const int ItemMinimumHeight = 128;

public slots:
	void resizeEvent(QResizeEvent *e);
	
signals:
	void CommentItemSelected(WPCommentListItem* aItem);

private:
	void mouseReleaseEvent(QMouseEvent *e);
	void keyPressEvent(QKeyEvent *e);
	void keyReleaseEvent(QKeyEvent *e);
	void SetViewMode(bool aViewMode);
	
private: // Data
	bool iShowFullComment;
	bool iKeyPressReceived;
	MDragWidget& iParent;
	Ui::WPCommentListItem ui;
	WPDataComment iComment;
	
};

#endif // WPCOMMENTLISTITEM_H
