#ifndef WRITEPAGEVIEW_H
#define WRITEPAGEVIEW_H

#include <QFrame>
#include "ui_writepageview.h"
#include "WPData.h"

class BlogView;

class WritePageView : public QFrame
{

	Q_OBJECT

public:
    WritePageView(BlogView *parent = 0);
    ~WritePageView();
	void NewPage(WPDataBlog& aBlog);
	void EditPage(WPDataBlog& aBlog, const QString& aPageId);
	void ImagesAdded(const QStringList& aFilenames);
    
signals:
	void NewPage(const QMap<QString, QString>& aContent, const QString& aPublish,
			const QStringList& aFilenames, const QString& aLocalDraftId);
	void EditPage(const QString& aPageId, const QMap<QString, QString>& aContent,
			const QString& aPublish, const QStringList& aFilenames);
	void UpdatePageData(const WPDataBlog& aBlog);

public slots:
	void SavePage();
	void AddPhotosClicked(bool aDummy);
	void setFocus();
	
private:
	Ui::WritePageView ui;
	
    QString iPageId;
	BlogView* iParent;
	WPDataBlog* iBlog;
    
    QStringList iAddedImages;
};

#endif // WRITEPAGEVIEW_H
